VERSION 5.00
Begin VB.Form Sample 
   Caption         =   "Sample"
   ClientHeight    =   1005
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   2085
   LinkTopic       =   "Form1"
   ScaleHeight     =   1005
   ScaleWidth      =   2085
   StartUpPosition =   3  'Windows ̊l
End
Attribute VB_Name = "Sample"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*****************************************************************************
'* aisa06s.bas                                                               *
'*                                                                           *
'* aISA-A06W/H                                                           *
'*                                                                           *
'* Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.                                   *
'*                                                                           *
'* Date 1998/05/12                                                           *
'*                                                                           *
'*  ̃\[Xɂ̓bp[֐̎gpႪLqĂ܂B                   *
'*                                                                           *
'*****************************************************************************
Option Explicit

Private Const szA06 = "aISA-A06"

Private Sub Form_Load()

    Dim strbuf As String
    Dim dwDllVer As Long, dwDrvVer As Long
    Dim bResult As Boolean          ' 
    Dim wLogSlot As Integer         ' foCXi[
    Dim ri As AISA06RESOURCE_NT     ' \[X
    Dim i As Integer
    Dim wDaData As Integer          ' D/A݃f[^
    Dim dwCH1 As Long               ' CH1̏
    Dim dwCH2 As Long               ' CH2̏

'---------------------------------------------------------------------------
    ' aisa06.dll ̎gp錾
    If Aisa06wDllOpen() = False Then
        ErrorMessage (AISA06_SLOT_AUTO)
        Exit Sub                ' aisa06.dll ̃[hɎs܂
    End If

'---------------------------------------------------------------------------
    ' o[Wԍ\
    If Aisa06wGetVersion(dwDllVer, dwDrvVer) = False Then ' aISA-A06W/HDLL,Driver̃o[Wԍ擾
        ErrorMessage (AISA06_SLOT_AUTO)
        Exit Sub
    End If

    strbuf = "GetVersion" + Chr(10) + _
             "DLL Version: &H" + Hex(dwDllVer) + Chr(10) + _
             "Drv Version: &H" + Hex(dwDrvVer)
    ResultMessage (strbuf)

'---------------------------------------------------------------------------
    ' aISA-A06W/H̎gp錾
    wLogSlot = AISA06_SLOT_AUTO       ' gp̃foCXT܂B
    ' ŏ̈͐ꍇA̎̃foCXi[܂B
    ' wLogSlot ȊÖɂ́A0 ZbgĂB
    bResult = Aisa06wCreate(wLogSlot, 0, 0, 0)

    If bResult = False Then           ' foCX܂B
        ErrorMessage (AISA06_SLOT_AUTO)
        Exit Sub
    End If

    strbuf = "aISA-A06W/H Created" + Chr(10) + Chr(10) + _
          "LogSlot: " + Str(wLogSlot)

    ResultMessage (strbuf)

'---------------------------------------------------------------------------
    ' \[X擾
    If Aisa06wGetResource(wLogSlot, ri) = False Then
        ErrorMessage (wLogSlot)
        Exit Sub
    End If

    strbuf = "Board Name: " + szA06 + Chr(10) + _
             "NumPorts: " + Str(ri.dwIOPortLength) + Chr(10) + _
             "IO Address: &H" + Hex(ri.dwIOPortBase) + _
             "-&H" + Hex(ri.dwIOPortBase + ri.dwIOPortLength - 1)

    ResultMessage (strbuf)

'---------------------------------------------------------------------------
    ' o̓f[^̐ݒ
    wDaData = &HFFF
    
    ' gp{[h aISA-A06H ̏ꍇAŌ 2`lւ̏o͖͂܂B
    For i = 0 To AISA06_MAX_CH_W - 1
        If Aisa06wSetData(wLogSlot, i, wDaData) = False Then
            ErrorMessage (wLogSlot)
            Exit Sub
        End If
    Next i

    ResultMessage ("o̓f[^ݒ肵܂B")

'---------------------------------------------------------------------------
    ' O͏Ԃ̎擾
    If Aisa06wGetCH(wLogSlot, dwCH1, dwCH2) = False Then
        ErrorMessage (wLogSlot)
        Exit Sub
    End If

    strbuf = "O͏Ԃ̎擾" + Chr(10) + _
             "CH1̏=&H" + Hex(dwCH1) + Chr(10) + _
             "CH2̏=&H" + Hex(dwCH2)

    ResultMessage (strbuf)

'---------------------------------------------------------------------------
    ' aISA-A06W/H̎gpJ
    If Aisa06wClose(wLogSlot) = False Then
        ErrorMessage (wLogSlot)
        Exit Sub
    End If

    ResultMessage ("aISA-A06W/H Closed")

'---------------------------------------------------------------------------
    ' aisa06.dll ̎gpJ
    If Aisa06wDllClose() = False Then
        MsgBox "DLL ̃A[hɎs܂B", vbOKOnly + vbCritical
        Exit Sub        ' aisa06.dll ̃A[hɎs܂B
    End If

End Sub

' ʂ\
Private Sub ResultMessage(lpszbuf As String)

    MsgBox lpszbuf, vbOKOnly + vbInformation

End Sub


' G[bZ[W\
Private Sub ErrorMessage(wLogSlot As Integer)

    Dim dwRes As Long
    Dim szbuf As String

    dwRes = Aisa06wGetLastError(wLogSlot)

    Select Case dwRes
    Case AISA06_ERR_WRAPDLL
        szbuf = "DLL Load error"

    Case Else                           ' ̑̒l̏ꍇB
        szbuf = "aISA-A06W/H error" + Chr(10) + Chr(10) + _
                "Error code: &H" + _
                Hex(dwRes)
    End Select

    MsgBox szbuf, vbOKOnly + vbCritical

End Sub
